Package: groovy.org.codenarc.rule.imports

## [Groovy] Class UnnecessaryGroovyImportRule

- groovy.org.codenarc.rule.imports.UnnecessaryGroovyImportRule

- Rule that checks for non-static imports from any packages that are automatically imported by Groovy, including:

  - java.io
  - java.lang
  - java.net
  - java.util
  - java.math.BigDecimal
  - java.math.BigInteger
  - groovy.lang
  - groovy.util
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### void applyTo(SourceCode sourceCode, List violations)